/*******************************************************************************
 * FoxPotentialClimbWatcher generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxPotentialClimbWatcher extends PotentialClimbWatcher
    hidecategories(Navigation,Movement,Collision);

simulated event Tick(float DeltaTime)
{
    local Rotator PawnRot;
    local FoxLadderVolume L;
    local bool bFound, bCooking;
    local FoxPawn FP;

    // End:0x67
    if(((Owner == none) || Owner.bDeleteMe) || !Pawn(Owner).CanGrabLadder())
    {
        Destroy();
        return;
    }
    FP = FoxPawn(Owner);
    PawnRot = Owner.Rotation;
    PawnRot.Pitch = 0;
    // End:0x297
    foreach Owner.TouchingActors(class'FoxLadderVolume', L)
    {
        // End:0x296
        if(L.Encompasses(Owner))
        {
            // End:0x18F
            if(((FP != none) && FoxWeapon_GrenadeBase(FP.Weapon) != none) && FP.IsFiring())
            {
                bCooking = true;
            }
            // End:0x1DD
            if(FoxWeapon_GrenadeBase(FP.InvManager.PendingWeapon) != none)
            {
                bCooking = true;
            }
            // End:0x28A
            if(((vector(PawnRot) Dot L.LookDir) > 0.90) && !bCooking)
            {
                Pawn(Owner).ClimbLadder(L);
                Pawn(Owner).ViewPitchMin = 0.0;
                Destroy();                
                return;
                // End:0x296
                continue;
            }
            bFound = true;
        }        
    }    
    // End:0x2AA
    if(!bFound)
    {
        Destroy();
    }
    //return;    
}
